Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.encryption
Class DocumentEncryption

    java.lang.Object
      org.pdfbox.encryption.DocumentEncryption

Deprecated. use the new security API instead.

public class DocumentEncryption
extends Object

This class will deal with encrypting/decrypting a document.

Version:
  $Revision: 1.13 $
Author:
  Ben Litchfield
See Also:
  `StandardSecurityHandler`

Constructor Summary
`DocumentEncryption(COSDocument doc)` Deprecated. Constructor.
`DocumentEncryption(PDDocument doc)` Deprecated. Constructor.

Method Summary
`void` | `decrypt(Object obj, long objNum, long genNum)` Deprecated. This will dispatch to the correct method.
`void` | `decryptDocument(String password)` Deprecated. This will decrypt the document.
`void` | `initForEncryption()` Deprecated. This will encrypt the given document, given the owner password and user password.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEncryption

    public DocumentEncryption(PDDocument doc)

  Deprecated.
  Constructor.

Parameters:
  `doc` - The document to decrypt.

### DocumentEncryption

    public DocumentEncryption(COSDocument doc)

  Deprecated.
  Constructor.

Parameters:
  `doc` - The document to decrypt.

Method Detail

### initForEncryption

    public void initForEncryption()
                           throws CryptographyException,
                                  IOException

  Deprecated.
  This will encrypt the given document, given the owner password and user password. The encryption method used is the standard filter.

  Throws:
    `CryptographyException` - If an error occurs during encryption.
    `IOException` - If there is an error accessing the data.

### decryptDocument

    public void decryptDocument(String password)
                         throws CryptographyException,
                                IOException,
                                InvalidPasswordException

  Deprecated.
  This will decrypt the document.

  Parameters:
    `password` - The password for the document.
  Throws:
    `CryptographyException` - If there is an error decrypting the document.
    `IOException` - If there is an error getting the stream data.
    `InvalidPasswordException` - If the password is not a user or owner password.

### decrypt

    public void decrypt(Object obj,
                        long objNum,
                        long genNum)
                 throws CryptographyException,
                        IOException

  Deprecated.
  This will dispatch to the correct method.

  Parameters:
    `obj` - The object to decrypt.
    `objNum` - The object number.
    `genNum` - The object generation Number.
  Throws:
    `CryptographyException` - If there is an error decrypting the stream.
    `IOException` - If there is an error getting the stream data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD